import requests
from Logger import load_logger
from GandiAuthenticationHeader import get_authentication_headers

logger = load_logger()
headers = get_authentication_headers()
LIVEDNS_API_URL = 'https://api.gandi.net/v5/livedns/domains'

def delete_dns_record(subdomain, domain):
    response = requests.delete(LIVEDNS_API_URL + '/' + domain
            + '/records/' + subdomain, headers=headers)

    if not response.ok:
        logger.error(response.raise_for_status())
        exit(1)
